Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 29b19f954bf40eaa6f2eb025d68868203cc20410)
+++ BOOK/patches.ent	(revision a1811b61140d824c708b9a92a8b7702f3fef0145)
@@ -217,11 +217,11 @@
 <!ENTITY grub-ext4-patch-size "9 KB">
 
-<!ENTITY grub-fixes-patch "grub-&grub-version;-fixes-1.patch">
-<!ENTITY grub-fixes-patch-md5 "6f095b98bde1db8d5b1a7ceef96ca351">
-<!ENTITY grub-fixes-patch-size "129 KB">
-
-<!ENTITY grub-use_mmap-patch "grub-&grub-version;-use_mmap-1.patch">
-<!ENTITY grub-use_mmap-patch-md5 "d4467ed0b13e87900ffb564879e1f2e4">
-<!ENTITY grub-use_mmap-patch-size "2 KB">
+<!ENTITY grub-fixes-patch "grub-&grub-version;-fixes-2.patch">
+<!ENTITY grub-fixes-patch-md5 "3f7b50a6274063c1e8a8e57131045f5a">
+<!ENTITY grub-fixes-patch-size "132 KB">
+
+<!ENTITY grub-use_mmap-patch "grub-&grub-version;-use_mmap-2.patch">
+<!ENTITY grub-use_mmap-patch-md5 "700257168164d6df67b5c73ba02cca75">
+<!ENTITY grub-use_mmap-patch-size "20 KB">
 
 <!ENTITY lilo-cross-x86_64-patch "lilo-&lilo-version;-cross_compile_x86_64-2.patch">
